#
# spec file for package gnash
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 p.drouand@gmail.com
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2013 Marguerite Su <marguerite@opensuse.org>
# Copyright (c) 2014 Johannes Obermayr <johannesobermayr@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           gnash
Version:        0.8.10.99+git20140912.2236
Release:        1.2
License:        GPL-3.0
Summary:        Free Flash movie player
Url:            http://www.gnashdev.org
Group:          Productivity/Multimedia/Other
Source:         gnash.tar.xz
Source1:        update.diff.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  dejagnu
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  giflib-devel
BuildRequires:  jemalloc-devel
BuildRequires:  libtool
BuildRequires:  libjpeg-devel
BuildRequires:  libkde4-devel
BuildRequires:  libmysqlclient-devel
BuildRequires:  libstdc++-devel
%if 0%{?suse_version} >= 1210
BuildRequires:  xulrunner-devel
%else
%if 0%{?suse_version} == 1140
BuildRequires:	mozilla-xulrunner192-devel
%endif
%if 0%{?suse_version} == 1120
BuildRequires:  mozilla-xulrunner191-devel
%endif
%if 0%{?suse_version} == 1110
BuildRequires:	mozilla-xulrunner192-devel
%endif
%endif
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(libagg)
%if %packman_bs
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
%else
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  pkgconfig(gstreamer-0.10)
%endif
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(librtmp)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  python-gtk-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-doc = %{version}
Provides:       %{name}-tools = %{version}
Obsoletes:      %{name}-doc < %{version}
Obsoletes:      %{name}-tools < %{version}
Requires:       %{name}-gui = %{version}
Recommends:     %{name}-qt4


%description
Gnash is a Free Flash movie player, which works either standalone, or as a browser plugin.

Gnash supports the current Shockwave format, version 7. While all the ActionScript classes exist, not all of the methods defined by the SWF format documentation are implemented however, so not all flash movies work 100% if they utilize any of the unimplemented methods. This is one of the areas to work on to achieve full version 7 compliance.


%package -n lib%{name}
Summary:        Libraries for Gnash
Provides:       %{name}-common = %{version}
Obsoletes:      %{name}-common < %{version}

%description -n lib%{name}
Gnash is a Free Flash movie player, which works either standalone, or as a browser plugin.

Gnash supports the current Shockwave format, version 7. While all the ActionScript classes exist, not all of the methods defined by the SWF format documentation are implemented however, so not all flash movies work 100% if they utilize any of the unimplemented methods. This is one of the areas to work on to achieve full version 7 compliance.


%package -n lib%{name}-devel
Summary:        Development files for Gnash
Group:          Development/Libraries/C and C++
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}
Requires:       lib%{name} = %{version}

%description -n lib%{name}-devel
Include files for developing with Gnash.


%package gtk
Summary:        GTK version of Gnash
Requires:       %{name} = %{version}
Provides:       %{name}-gui = %{version}

%description gtk
This package contains the GTK version of Gnash.


%package qt4
Summary:        Qt4 version of Gnash
Requires:       %{name} = %{version}
Provides:       %{name}-gui = %{version}

%description qt4
This package contains the Qt4 version of Gnash.


%package klash4
Summary:        KPart module of Gnash
Requires:       %{name}-qt4 = %{version}

%description klash4
This package contains the KPart module of Gnash


%package cygnal
Summary:        Streaming media server
Group:          Productivity/Networking/Web/Servers
Requires:       lib%{name} = %version

%description cygnal
Cygnal is a streaming media server that's Flash aware.


%package browser-plugin
Summary:        Browser plugin for Gnash
Group:          Productivity/Networking/Web/Browsers
Requires:       lib%{name} = %version
Conflicts:      flash-player
Conflicts:      lightspark-plugin

%description browser-plugin
This package contains the NPAPI plugin for gnash which is needed by browsers.


%package widget
Summary:        Gnash widgets for Gtk and Python
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %version
Requires:       lib%{name} = %version

%description widget
The Gnash widgets can be used to embed Gnash into any Gtk or Python-Gtk
application.

%package dbus-extension
Summary:        Dbus extension for Gnash 
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %version
Requires:       lib%{name} = %version

%description dbus-extension
This extension allows SWF files being played within Gnash to have direct access
to dbus.

%package fileio-extension
Summary:        Fileio extension for Gnash
Group:          Productivity/Multimedia/Video/Players
Requires:       lib%{name} = %version

%description fileio-extension
This extension allows SWF files being played within Gnash to have direct access
to the file system. The API is similar to the C library one.

%package lirc-extension
Summary:        LIRC extension for Gnash
Group:          Productivity/Multimedia/Video/Players
Requires:       lib%{name} = %version

%description lirc-extension
This extension allows SWF files being played within Gnash to have direct access
to a LIRC based remote control device. The API is similar to the standard
LIRC one.

%package dejagnu-extension
Summary:        DejaGnu extension for Gnash
Group:          Development/Tools/Other
Requires:       lib%{name} = %version

%description dejagnu-extension
This extension allows SWF files to have a simple unit testing API. The API
is similar to the DejaGnu unit testing one.

%package mysql-extension
Summary:        MySQL extension for Gnash
Group:          Development/Tools/Other
Requires:       lib%{name} = %version

%description mysql-extension
This extension allows SWF files being played within Gnash to have direct access
to a MySQL database. The API is similar to the standard MySQL one.

%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       lib%{name} = %{version}
Supplements:    packageand(bundle-lang-other:%{name})
Provides:       %{name}-common-lang = %{version}
Provides:       %{name}-common-lang-all = %{version}
Obsoletes:      %{name}-common-lang < %{version}
Obsoletes:      %{name}-common-lang-all < %{version}
%if 0%{?suse_version} >= 1140
BuildArch:      noarch
%endif

%description lang
Provides translations to the package %{name}.


%prep
%setup -q -n %{name}
xz -dc %{S:1} | patch --merge -p1 -f
sed -i -e "s;^NOW :=.*;NOW := $(echo %version | sed "s#.*git##g");g" packaging/snapshot.am

%build
autoreconf -fi
%configure --libdir=%_libdir --prefix=%_prefix --mandir=%_mandir --bindir=%_bindir \
  --enable-gui=gtk,qt4 \
  --enable-sound=sdl \
%if %packman_bs
  --enable-media=ffmpeg \
%else
  --enable-media=gst \
%endif
  --enable-renderer=all \
  --with-pixelformat=all \
  --enable-device=all \
  --enable-extensions=all \
  --enable-jemalloc \
  --enable-doublebuf \
  --enable-cygnal \
  --enable-python \
  --with-plugins-install=system \
  --with-npapi-plugindir=%_libdir/browser-plugins
#  --with-kde4-plugindir=
#  --with-sysroot=
#  --with-android
#  --with-cpu=
#  --with-statistics=all
#  --with-security=all
#  --enable-lirc
#  --enable-fps-debug
#  --enable-allstatic
#  --with-shm=
#  --disable-menus
#  --disable-swftree
#  --disable-testsuite
#  --enable-write
#  --disable-sa-launcher
#  --enable-cgibins
#  --enable-offscreen
#  --enable-ssh
#  --enable-ssl
#  --with-cert=
#  --with-pe=
#  --enable-input=
#  --disable-kparts3
#  --disable-kparts4
#  --disable-npapi
#  --disable-plugins
#  --enable-ghelp
#  --disable-cassert
make %{?jobs:-j%jobs}


%install
%makeinstall install-plugins
%suse_update_desktop_file -r klash AudioVideo Player
%find_lang %{name}
%fdupes -s %{buildroot}
for i in $(find %{buildroot} -name "*.la"); do
  rm -f $i
done
rm -f %{buildroot}%{_bindir}/eglinfo
%if %packman_bs
rm -f %{buildroot}%{_mandir}/man?/findmicrophones*
rm -f %{buildroot}%{_mandir}/man?/findwebcams*
%endif

%files
%defattr(-,root,root)
%config /etc/gnashrc
%_bindir/flvdumper
%_bindir/gnash
%_bindir/gprocessor
%_bindir/rtmpget
%_bindir/soldumper
%_datadir/applications/gnash.desktop
%_datadir/icons/hicolor/32x32
%exclude %_datadir/icons/hicolor/32x32/apps/klash.xpm
%_datadir/gnash
%_mandir/man?/flvdumper.?.gz
%_mandir/man?/gnash.?.gz
%_mandir/man?/gprocessor.?.gz
%_mandir/man?/rtmpget.?.gz
%_mandir/man?/soldumper.?.gz
%_datadir/doc/gnash
%if %packman_bs
%else
%_bindir/findmicrophones
%_bindir/findwebcams
%_mandir/man?/findmicrophones.?.gz
%_mandir/man?/findwebcams.?.gz
%endif

%files -n lib%{name}
%defattr(-,root,root)
%dir %_libdir/gnash
%dir %_libdir/gnash/plugins
%_libdir/gnash/libgnash*.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %_includedir/gnash
%_includedir/gnash/*
%_libdir/pkgconfig/gnash.pc

%files gtk
%defattr(-,root,root)
%_bindir/gnash-gtk-launcher
%_bindir/gtk-gnash
%_mandir/man?/gtk-gnash.?.gz
%_mandir/man?/gnash-gtk-launcher.?.gz

%files qt4
%defattr(-,root,root)
%_bindir/gnash-qt-launcher
%_bindir/qt4-gnash
%_mandir/man?/qt4-gnash.?.gz
%_mandir/man?/gnash-qt-launcher.?.gz

%files klash4
%defattr(-,root,root)
%_datadir/applications/klash.desktop
%_datadir/icons/hicolor/32x32/apps/klash.xpm
%_libdir/kde4
%_datadir/kde4/apps/klash
%_datadir/kde4/services/klash_part.desktop

%files cygnal
%defattr(-,root,root)
%_bindir/cygnal
%config %_sysconfdir/cygnalrc
%_libdir/cygnal
%_mandir/man?/cygnal.?.gz

%files browser-plugin
%defattr(-,root,root)
%config %_sysconfdir/gnashpluginrc
%_libdir/browser-plugins/libgnash*

%files widget
%defattr(-,root,root)
%{_prefix}/lib*/python*/site-packages/gtk-2.0/gnash.*

%files dbus-extension
%defattr(-,root,root)
%_libdir/gnash/plugins/dbus.so

%files fileio-extension
%defattr(-,root,root)
%_libdir/gnash/plugins/fileio.so

%files lirc-extension
%defattr(-,root,root)
%_libdir/gnash/plugins/lirc.so

%files dejagnu-extension
%defattr(-,root,root)
%_libdir/gnash/plugins/dejagnu.so

%files mysql-extension
%defattr(-,root,root)
%_libdir/gnash/plugins/mysql.so

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Apr 23 2014 johannesobermayr@gmx.de
- Update to latest git version
- Adapt to match main distro a bit more
* Mon Jul 29 2013 i@margueirte.su
- update version 0.8.11dev git20130729
- port ffmpeg to 2.0
